Class | ActionView::TemplateHandlers::ErubisHandler
In: | erubis/helpers/rails_helper.rb
Parent: | TemplateHandler

### Methods

compile compile compile

### Included Modules

Compilable ::Erubis::Helpers::RailsHelper::TemplateConverter ::Erubis::PreprocessingHelper Compilable Erubis::Helpers::RailsHelper::TemplateConverter Erubis::PreprocessingHelper Erubis::Helpers::RailsHelper::TemplateConverter Erubis::PreprocessingHelper

### Public Instance methods

compile(template)

[Source]

    # File erubis/helpers/rails_helper.rb, line 153
              def compile(template)
                #src = ::ERB.new("<% __in_erb_template=true %>#{template.source}", nil, erb_trim_mode, '@output_buffer').src
                return _convert_template("<% __in_erb_template=true %>#{template.source}")
              end

compile(template)

[Source]

    # File erubis/helpers/rails_helper.rb, line 179
              def compile(template)
                return _convert_template(template.source)   # template.is_a?(ActionView::Template)
              end

compile(template)

[Source]

    # File erubis/helpers/rails_helper.rb, line 209
              def compile(template)
                return _convert_template(template)     # template.is_a?(String)
              end

[Validate]